umbrello: CodeComment Class Reference

umbrello 2.32.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
CodeComment Class Reference

`#include <codecomment.h>`

Inheritance diagram for CodeComment:

## Public Member Functions
| CodeComment (CodeDocument *doc, const QString &comment=QString())
virtual | ~CodeComment ()
virtual void | saveToXMI1 (QXmlStreamWriter &writer)
virtual void | loadFromXMI1 (QDomElement &root)
Public Member Functions inherited from TextBlock
| TextBlock (CodeDocument *parent, const QString &text=QString())
virtual | ~TextBlock ()
void | setText (const QString &text)
QString | getText () const
void | appendText (const QString &text)
void | setTag (const QString &value)
QString | getTag () const
CodeDocument * | getParentDocument () const
void | setWriteOutText (bool write)
bool | getWriteOutText () const
void | setIndentationLevel (int level)
int | getIndentationLevel () const
QString | getIndentationString (int level=0) const
virtual QString | unformatText (const QString &text, const QString &indent=QString())
virtual QString | toString () const
bool | canDelete () const
virtual void | setAttributesFromObject (TextBlock *obj)
virtual QString | getNewEditorLine (int amount=0)
virtual int | firstEditableLine ()
virtual int | lastEditableLine ()

## Additional Inherited Members
Static Public Member Functions inherited from TextBlock
static QString | getIndentation ()
static QString | getNewLineEndingChars ()
static QString | formatMultiLineText (const QString &work, const QString &linePrefix, const QString &breakStr, bool addBreak=true, bool lastLineHasBreak=true)
static QString | encodeText (const QString &text, const QString &endLine)
static QString | decodeText (const QString &text, const QString &endLine)
Protected Member Functions inherited from TextBlock
void | setCanDelete (bool canDelete)
virtual void | release ()
virtual void | setAttributesOnNode (QXmlStreamWriter &writer)
virtual void | setAttributesFromNode (QDomElement &root)

## Detailed Description

Text which will be comments. These should be bracketed by what ever code type comment the language requires.

## Constructor & Destructor Documentation

## ◆ CodeComment()

CodeComment::CodeComment | ( | CodeDocument * | doc,
|  | const QString & | comment = `QString()`
| ) |  |
| explicit

## ◆ ~CodeComment()

CodeComment::~CodeComment | ( |  | ) |
| virtual

Empty Destructor.

## Member Function Documentation

## ◆ loadFromXMI1()

void CodeComment::loadFromXMI1 | ( | QDomElement & | root | ) |
| virtual

Load params from the appropriate XMI element node.

Implements TextBlock.

## ◆ saveToXMI1()

void CodeComment::saveToXMI1 | ( | QXmlStreamWriter & | writer | ) |
| virtual

Save the XMI representation of this object.

Implements TextBlock.

Reimplemented in CPPCodeComment, CPPCodeDocumentation, DCodeComment, DCodeDocumentation, JavaCodeDocumentation, and RubyCodeDocumentation.

The documentation for this class was generated from the following files:

- umbrello/codegenerators/codecomment.h
- umbrello/codegenerators/codecomment.cpp